<?php

if ( ! function_exists('sponsors') ) {

// Sponsor
function sponsors() {

	$labels = array(
		'name'                => esc_attr_x( 'Sponsors', 'Post Type General Name', 'xevent' ),
		'singular_name'       => esc_attr_x( 'Sponsors', 'Post Type Singular Name', 'xevent' ),
		'menu_name'           => __( 'Sponsors', 'xevent' ),
		'parent_item_colon'   => __( 'Parent Sponsor:', 'xevent' ),
		'all_items'           => __( 'All Sponsors', 'xevent' ),
		'view_item'           => __( 'View Sponsor', 'xevent' ),
		'add_new_item'        => __( 'Add New Sponsor', 'xevent' ),
		'add_new'             => __( 'Add New Sponsor', 'xevent' ),
		'edit_item'           => __( 'Edit Sponsor', 'xevent' ),
		'update_item'         => __( 'Update Sponsor', 'xevent' ),
		'search_items'        => __( 'Search Sponsor', 'xevent' ),
		'not_found'           => __( 'Not sponsors found', 'xevent' ),
		'not_found_in_trash'  => __( 'Not sponsors found in Trash', 'xevent' ),
	);
	$args = array(
		'label'               => __( 'sponsors', 'xevent' ),
		'description'         => __( 'Post Type Description', 'xevent' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'thumbnail', ),
		'taxonomies'          => array( 'post_tag' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => false,
		'menu_position'       => 20,
		'menu_icon'           => 'dashicons-microphone',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'sponsors', $args );

}

add_action( 'init', 'sponsors', 0 );

}

if ( ! function_exists('speaker') ) {

// Speaker
function speaker() {

	$labels = array(
		'name'                => esc_attr_x( 'Speakers', 'Post Type General Name', 'xevent' ),
		'singular_name'       => esc_attr_x( 'Speaker', 'Post Type Singular Name', 'xevent' ),
		'menu_name'           => __( 'Speakers', 'xevent' ),
		'parent_item_colon'   => __( 'Parent Speaker:', 'xevent' ),
		'all_items'           => __( 'All Speakers', 'xevent' ),
		'view_item'           => __( 'View Speaker', 'xevent' ),
		'add_new_item'        => __( 'Add New Speaker', 'xevent' ),
		'add_new'             => __( 'Add New Speaker', 'xevent' ),
		'edit_item'           => __( 'Edit Speaker', 'xevent' ),
		'update_item'         => __( 'Update Speaker', 'xevent' ),
		'search_items'        => __( 'Search Speaker', 'xevent' ),
		'not_found'           => __( 'Not speakers found', 'xevent' ),
		'not_found_in_trash'  => __( 'Not speakers found in Trash', 'xevent' ),
	);
	$args = array(
		'label'               => __( 'speaker', 'xevent' ),
		'description'         => __( 'Post Type Description', 'xevent' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'thumbnail', ),
		'taxonomies'          => array( 'post_tag' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => false,
		'menu_position'       => 20,
		'menu_icon'           => 'dashicons-microphone',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'speaker', $args );

}

add_action( 'init', 'speaker', 0 );

}

add_action( 'init', 'create_speaker_role_taxonomies', 0 );
function create_speaker_role_taxonomies() {
    // Add new taxonomy for speaker roles
    $labels = array(
        'name'              => esc_attr_x( 'Speaker Role (Choose one)', 'taxonomy general name' , 'xevent'),
        'singular_name'     => esc_attr_x( 'Speaker Role', 'taxonomy singular name' , 'xevent'),
        'search_items'      => __( 'Search Speaker Role', 'xevent'),
        'all_items'         => __( 'All Speaker Role', 'xevent' ),
        'parent_item'       => __( 'Parent Speaker Role', 'xevent' ),
        'parent_item_colon' => __( 'Parent Speaker Role:' , 'xevent'),
        'edit_item'         => __( 'Edit Speaker Role' , 'xevent'),
        'update_item'       => __( 'Update Speaker Role' , 'xevent'),
        'add_new_item'      => __( 'Add New Speaker Role' , 'xevent'),
        'new_item_name'     => __( 'New Speaker Role Name' , 'xevent'),
        'menu_name'         => __( 'Speaker Role' , 'xevent'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'speaker' ),
    );

    register_taxonomy( 'speaker_role', array('speaker'), $args );
}

if ( ! function_exists('schedule') ) {

// Program
function schedule() {

	$labels = array(
		'name'                => esc_attr_x( 'Schedule', 'Post Type General Name', 'xevent' ),
		'singular_name'       => esc_attr_x( 'Program', 'Post Type Singular Name', 'xevent' ),
		'menu_name'           => __( 'Schedule', 'xevent' ),
		'parent_item_colon'   => __( 'Parent program:', 'xevent' ),
		'all_items'           => __( 'All Programs', 'xevent' ),
		'view_item'           => __( 'View Program', 'xevent' ),
		'add_new_item'        => __( 'Add New Program', 'xevent' ),
		'add_new'             => __( 'Add New Program', 'xevent' ),
		'edit_item'           => __( 'Edit Program', 'xevent' ),
		'update_item'         => __( 'Update Program', 'xevent' ),
		'search_items'        => __( 'Search Program', 'xevent' ),
		'not_found'           => __( 'Not Program found', 'xevent' ),
		'not_found_in_trash'  => __( 'Not Program found in Trash', 'xevent' ),
	);
	$args = array(
		'label'               => __( 'program', 'xevent' ),
		'description'         => __( 'Post Type Description', 'xevent' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor','excerpt', ),
		'taxonomies'          => array( 'post_tag' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => false,
		'menu_position'       => 21,
		'menu_icon'           => 'dashicons-schedule',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'schedule', $args );

}

add_action( 'init', 'schedule', 0 );

}

add_action( 'init', 'create_schedule_taxonomies', 0 );
// create skin taxonomy
function create_schedule_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => esc_attr_x( 'Date', 'taxonomy general name' , 'xevent'),
        'singular_name'     => esc_attr_x( 'Date', 'taxonomy singular name' , 'xevent'),
        'search_items'      => __( 'Search Dates', 'xevent'),
        'all_items'         => __( 'All Dates', 'xevent' ),
        'parent_item'       => __( 'Parent Date', 'xevent' ),
        'parent_item_colon' => __( 'Parent Date:' , 'xevent'),
        'edit_item'         => __( 'Edit Date' , 'xevent'),
        'update_item'       => __( 'Update Date' , 'xevent'),
        'add_new_item'      => __( 'Add New Date' , 'xevent'),
        'new_item_name'     => __( 'New Date Name' , 'xevent'),
        'menu_name'         => __( 'Date' , 'xevent'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'schedule' ),
    );

    register_taxonomy( 'date', array('schedule'), $args );
}


if ( ! function_exists('workshop') ) {

// Workshop
function workshop() {

	$labels = array(
		'name'                => esc_attr_x( 'Workshops', 'Post Type General Name', 'xevent' ),
		'singular_name'       => esc_attr_x( 'Workshop', 'Post Type Singular Name', 'xevent' ),
		'menu_name'           => __( 'Workshops', 'xevent' ),
		'parent_item_colon'   => __( 'Parent Workshop:', 'xevent' ),
		'all_items'           => __( 'All Workshops', 'xevent' ),
		'view_item'           => __( 'View Workshop', 'xevent' ),
		'add_new_item'        => __( 'Add New Workshop', 'xevent' ),
		'add_new'             => __( 'Add New Workshop', 'xevent' ),
		'edit_item'           => __( 'Edit Workshop', 'xevent' ),
		'update_item'         => __( 'Update Workshop', 'xevent' ),
		'search_items'        => __( 'Search Workshop', 'xevent' ),
		'not_found'           => __( 'Not Workshops found', 'xevent' ),
		'not_found_in_trash'  => __( 'Not Workshops found in Trash', 'xevent' ),
	);
	$args = array(
		'label'               => __( 'Workshop', 'xevent' ),
		'description'         => __( 'Post Type Description', 'xevent' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor',  ),
		'taxonomies'          => array( 'post_tag' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => false,
		'menu_position'       => 22,
		'menu_icon'           => 'dashicons-book',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'workshop', $args );

}

add_action( 'init', 'workshop', 0 );

}


//MEMBER
if ( ! function_exists('cpt_member') ) {

function cpt_member() {

    $labels = array(
        'name'                  => esc_attr_x( 'Members', 'Post Type General Name', 'xevent' ),
        'singular_name'         => esc_attr_x( 'Member', 'Post Type Singular Name', 'xevent' ),
        'menu_name'             => __( 'Team Members', 'xevent' ),
        'name_admin_bar'        => __( 'Member', 'xevent' ),
        'archives'              => __( 'Member Archives', 'xevent' ),
        'parent_item_colon'     => __( 'Parent Item:', 'xevent' ),
        'all_items'             => __( 'All Members', 'xevent' ),
        'add_new_item'          => __( 'Add New Member', 'xevent' ),
        'add_new'               => __( 'Add New', 'xevent' ),
        'new_item'              => __( 'New Member', 'xevent' ),
        'edit_item'             => __( 'Edit Member', 'xevent' ),
        'update_item'           => __( 'Update Member', 'xevent' ),
        'view_item'             => __( 'View Member', 'xevent' ),
        'search_items'          => __( 'Search Member', 'xevent' ),
        'not_found'             => __( 'Not found', 'xevent' ),
        'not_found_in_trash'    => __( 'Not found in Trash', 'xevent' ),
        'featured_image'        => __( 'Featured Image', 'xevent' ),
        'set_featured_image'    => __( 'Set featured image', 'xevent' ),
        'remove_featured_image' => __( 'Remove featured image', 'xevent' ),
        'use_featured_image'    => __( 'Use as featured image', 'xevent' ),
        'insert_into_item'      => __( 'Insert into item', 'xevent' ),
        'uploaded_to_this_item' => __( 'Uploaded to this item', 'xevent' ),
        'items_list'            => __( 'Items list', 'xevent' ),
        'items_list_navigation' => __( 'Items list navigation', 'xevent' ),
        'filter_items_list'     => __( 'Filter items list', 'xevent' ),
    );
    $args = array(
        'label'                 => __( 'Member', 'xevent' ),
        'description'           => __( 'Post Type Description', 'xevent' ),
        'labels'                => $labels,
        'supports'              => array( 'title', 'editor', 'thumbnail', ),
        'taxonomies'            => array( 'category', 'post_tag' ),
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 23,
        'menu_icon'             => 'dashicons-admin-users',
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,        
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'post',
    );
    register_post_type( 'member', $args );

}
add_action( 'init', 'cpt_member', 0 );

}





?>