<?php
error_reporting(0);
// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) {
	exit;
}


// Speakers by ID shortcode
add_shortcode('speakers_id', 'shortcode_speakers_id');
function shortcode_speakers_id($atts, $content=null){
    global $xevent_var;
    $atts = vc_map_get_attributes( 'speakers_id', $atts );
    $atts = shortcode_atts(
        array(        
        'filter_tag'  => '',
        'display_jobtitle' => '',
        'display_company' => '',
    	'column' =>	4,
    	'id_list' => '',
        'zero_gap' => '',
        'figcaption_gradient' => '',
        'load_more' => '',
    ), $atts);
	
	$id_list = explode( ',' , $atts['id_list']);
	$columns = $atts['column'];

    $number = ''; // LOAD MORE
    $number1 = ''; // FOR X
    $number2 = ''; // COLUMN DIVISION
    if($columns == 'col-xs-12 col-sm-6 col-md-6'){ $number = '2'; $number1 = '3'; $number2 = '8';}
    if($columns == 'col-xs-12 col-sm-6 col-md-4'){ $number = '3'; $number1 = '2'; $number2 = '12';}
    if($columns == 'col-xs-12 col-sm-6 col-md-3'){ $number = '4'; $number1 = '1'; $number2 = '16';}
    if($columns == 'column-5'){ $number = '5'; $number1 = '0'; $number2 = '20';}
    if($columns == 'col-xs-12 col-sm-6 col-md-2'){ $number = '6'; $number1 = '-1'; $number2 = '24';}

	
    $zero_gap = '';
    if($atts['zero_gap'] == 'yes') {
        $zero_gap = 'no-padding';
    }

    $figcaption_gradient = '';
    if($atts['figcaption_gradient'] == 'yes') {
        $figcaption_gradient = 'class="gradient-bg"';
    }

    $html ='';
    $html .= '<section id="speakers-grid">';
    
		
		$args = array(
			'post_type' => 'speaker',
			'posts_per_page'=> '-1',
			'post__in' => $id_list,
			'orderby' => 'post__in',
			'tag'=> $atts['filter_tag'],
			'order' =>'ASC'
		);
		
        $speakers = new WP_Query($args);
        global $post; 
        if($speakers->have_posts()):

            $x = $number1;
			
            while($speakers->have_posts()): 

                if( $x == $number1){
                    $html .= '<div class="row">';
                }
    
                $speakers->the_post();
    
                $thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id());
                $attachment_id = wp_get_attachment_image( get_the_ID());
                $bigimage = wp_get_attachment_url( get_post_meta( get_the_ID(), 'tc_speaker_big_image_id', 1 ), 'thumbnail' );
                $image_alt = get_the_title($attachment_id);
    
                $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
                $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true);
                $speaker_website = get_post_meta($post->ID, "tc_speaker_website", true);
                $featured_speaker = get_post_meta($post-> ID, "tc_featured_speaker", true);
				$display_speaker_chair_title = get_post_meta($post->ID, "tc_display_speaker_chair_title", true);
    
                    $html .= '<div class="'.$columns.' '.$zero_gap.'">
                        <div class="speaker-thumb">
                         <a class="html-popup" href="'.get_permalink().'" style="text-decoration: none;">
                            <figure class="effect-zoe">';
                                if (($featured_speaker) && ($xevent_var['speaker_badge']) ){
                      $html .= '<span class="featured-speaker">'.$xevent_var['badge_text'].'</span>';}
                      $html .= '<img class="img-responsive" src="'.$thumbnail_url.'" alt="'.$image_alt.'">
                                 
                                
                            </figure>
                            
                             <figcaption '.$figcaption_gradient.'>
                                    <h3>'.get_the_title().'</h3>
                                    <p class="company">';
                                        if($atts['display_jobtitle'] == 'yes' ){ $html .=''.$speaker_job.'<br>';}
                                        if($atts['display_company'] == 'yes' ){ $html .=''.$speaker_company.'</br></br>';}
                                        $html .='<strong style="margin:0 auto;">'.$display_speaker_chair_title.'</strong>';
                                        if($bigimage != null){ $html .= '<img class="img-responsive center-block" src="'.$bigimage.'">';}    
                                    
                          $html .= '</p>
                                </figcaption> 
                                
                                
                            
                        </a>
                        </div>
                    </div>';
                
                    if( $x == ($number2/$number) ){
                        $html .= '</div>'; //row	
                        $x = $number1;	
                    }
					else{
                        $x++;	
                    }        

            endwhile;
			
		else:
			echo "NO POST";
			
        endif;

    $html .= '</section>';
		
        if ($atts['load_more'] == 'yes') { 

        $html .='<br><div class="col-lg-12 loadmore text-center">
            <a href="#" id="load-more" class="common-button common-button-dark">'.__('LOAD MORE', 'xevent').'</a>
          </div>';

        $html .='
            <script>
            jQuery(document).ready(function($){
                "use strict";
                 $("#speakers-grid .speaker-thumb").css({"display":"none"});
				 $("div.speaker-thumb").slice(0, '.$number.').show();
                 $("#load-more").on("click", function (e) {
                    e.preventDefault();
                    $("div.speaker-thumb:hidden").slice(0, '.$number.').slideDown();
                    if ($("div.speaker-thumb:hidden").length === 0) {
                        $("#load-more").replaceWith(\'<p id="load-more" class="common-button common-button-dark passed">No More</p>\');
                        $("#load-more").css("visibility", "hidden").fadeOut("slow");
                    }
                });
            });                                  
            </script>';
    ;} 

    return $html;
}


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("Speakers List By ID", 'xevent'),
   "base" => "speakers_id",
   "class" => "",
   "category" => __("ThemeCube Shortcodes", 'xevent'),
   "icon" => get_template_directory_uri().'/img/vc_icons/tc_speaker.png',
   "description" => __('Add speakers by ID','xevent'),
   "params" => array(
    array(
        "type" => "dropdown",
        "class" => "",
        "heading" => __("Number Of Column",'xevent'),
        "param_name" => "column",
		"value" => array(
			'column 2'=>'col-xs-12 col-sm-6 col-md-6',
			'column 3'=>'col-xs-12 col-sm-6 col-md-4',
			'column 4'=>'col-xs-12 col-sm-6 col-md-3',
			'column 5'=>'column-5',
			'column 6'=>'col-xs-12 col-sm-6 col-md-2'),
        //"std" => "col-md-4",
    ),
    array(
        "type" => "textfield",
        "heading" => __("Put Here ID", "xevent"),
        "param_name" => "id_list",
        "description" => __("Put Here Speaker ID separate by comma eg: 12,23,36", "xevent"),
        "value" => "",
    ), 
    array(
        'type' => 'checkbox',
        'heading' => __( 'Show load more button', 'xevent' ),
        'param_name' => 'load_more',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Zero gap between items?', 'xevent' ),
        'param_name' => 'zero_gap',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Company', 'xevent' ),
        'param_name' => 'display_company',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Display Job Title', 'xevent' ),
        'param_name' => 'display_jobtitle',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        'type' => 'checkbox',
        'heading' => __( 'Gradient hover background', 'xevent' ),
        'param_name' => 'figcaption_gradient',
        'value' => array( __( 'Yes', 'xevent' ) => 'yes' ),
    ),
    array(
        "type" => "textfield",
        "holder" => "div",
        "class" => "",
        "heading" => __("Filter by tag",'xevent'),
        "param_name" => "filter_tag",
        "value" => "",
        "description" => __('Such as speaker, chair, keynote','xevent'),
    )
     
   )
) );

}

// End Speakers by ID shortcode


