<?php

    /**
     * For full documentation, please visit: http://docs.reduxframework.com/
     * For a more extensive sample-config file, you may look at:
     * https://github.com/reduxframework/redux-framework/blob/master/sample/sample-config.php
     */


    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "xevent_var";




	function xevent_redux_custom_fonts( $custom_fonts ) {
		return array(
			'Custom Fonts' => array(
			"Metropolis" => 'Metropolis',
			"Glacial Indifference" => 'Glacial Indifference'
			)
		);
	}
	add_filter( 'redux/xevent_var/field/typography/custom_fonts', 'xevent_redux_custom_fonts' );

	

    /**
     * ---> SET ARGUMENTS
     * All the possible arguments for Redux.
     * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
     * */

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        'opt_name' => $opt_name,
        'use_cdn' => TRUE,
        'display_name' => 'XEvent Theme',
        'global_variable'      => '',
        'dev_mode'             => false,
        'update_notice'        => false,
        'display_version' => '1.0.0',
        'page_slug' => '_options',
        'page_title' => 'Theme Options',
        'update_notice' => TRUE,
        'customizer'           => true,
        'templates_path'	=> get_template_directory() . '/inc/panel/',
        'open_expanded' => false,
        'system_info' => false,


        'admin_bar' => TRUE,
        'menu_type' => 'submenu',
        'menu_title' => 'Theme Options',
        'allow_sub_menu' => TRUE,
        'page_parent_post_type' => 'your_post_type',
        'default_mark' => false,
        'google_api_key' => 'AIzaSyCSrkdJP31DkXBF0s_99tgXv5tZeaDhJMs',
        'hints' => array(
            'icon' => 'dv-davicons-question',
            'icon_position' => 'right',
            'icon_color'=> '#000',
            'icon_size' => 'large',
            'tip_style' => array(
                'color' => 'light',
            ),
            'tip_position' => array(
                'my' => 'top right',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'output' => TRUE,
        'output_tag' => TRUE,
        'settings_api' => TRUE,
        'cdn_check_time' => '1440',
        //'compiler' => TRUE,
        'page_permissions' => 'manage_options',
        'save_defaults' => TRUE,
        'show_import_export' => true,
        'show_options_object' => false,
        'database'             => '',
        'system_info'          => false,
        'transient_time' => '3600',
        'network_sites' => TRUE,
        'page_priority'        => null,
    );

	

    Redux::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */

    if(!function_exists('redux_register_custom_extension_loader')) :
    function redux_register_custom_extension_loader($ReduxFramework) {

    	$path = ABSPATH . 'wp-content/plugins/themecube-core/redux-extensions/';

            $folders = scandir( $path, 1 );

            foreach ( $folders as $folder ) {
                if ( $folder === '.' or $folder === '..' or ! is_dir( $path . $folder ) ) {
                    continue;
                }
                $extension_class = 'ReduxFramework_Extension_' . $folder;
                if ( ! class_exists( $extension_class ) ) {
                    // In case you wanted override your override, hah.
                    $class_file = $path . $folder . '/extension_' . $folder . '.php';
                    $class_file = apply_filters( 'redux/extension/' . $ReduxFramework->args['opt_name'] . '/' . $folder, $class_file );
                    if ( $class_file ) {
                        require_once( $class_file );
                    }
                }
                if ( ! isset( $ReduxFramework->extensions[ $folder ] ) ) {
                    $ReduxFramework->extensions[ $folder ] = new $extension_class( $ReduxFramework );
                }
            }
    }
    // Modify {$xevent_var} to match your opt_name
    add_action("redux/extensions/".$opt_name ."/before", 'redux_register_custom_extension_loader', 0);
endif;

    /*
     * ---> START HELP TABS
     */

    $tabs = array(
        array(
            'id'      => 'redux-help-tab-1',
            'title'   => esc_html__( 'Theme Information 1', 'xevent' ),
            'content' => esc_html__( '<p>This is the tab content, HTML is allowed.</p>', 'xevent' )
        ),
        array(
            'id'      => 'redux-help-tab-2',
            'title'   => esc_html__( 'Theme Information 2', 'xevent' ),
            'content' => esc_html__( '<p>This is the tab content, HTML is allowed.</p>', 'xevent' )
        )
    );
    Redux::setHelpTab( $opt_name, $tabs );

    // Set the help sidebar
    $content = esc_html__( '<p>This is the sidebar content, HTML is allowed.</p>', 'xevent' );
    Redux::setHelpSidebar( $opt_name, $content );


    /*
     * <--- END HELP TABS
     */


    /*
     *
     * ---> START SECTIONS
     *
     */

    //GENERAL SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'General Settings', 'xevent' ),
        'id'    => 'basic',
        //'desc'  => esc_html__( 'Basic fields as subsections.', 'xevent' ),
        'icon'  => 'dv-davicons-gear',
        'fields'     => array(
			
			
			array(
                'id'        => 'preload',
				'type'      => 'switch',
				'title'     => esc_html__('Display Preload', 'xevent'),
				'subtitle'  => esc_html__('Display preload', 'xevent'),
				'default'  => true,
            ),
			
			array(
				'id'        => 'tc_preload_color',
				'type'      => 'color',
				'transparent' => false,                  
				'title'     => esc_html__('Preload Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the preload color', 'xevent'),
				'required'      => array('preload', '!=', '0'),
				'default'   => '#ffffff',
				'hint'	=> array(
						'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/preload_color.png>',
					),
			),

			array(
                'id'        => 'preload_bg_select',
				'type'      => 'switch',
				'title'     => esc_html__('Preload Background Style', 'xevent'),
				'required'      => array('preload', '!=', '0'),
				'default'  	=> true,
				 'on' 		=> 'Gradient',
				 'off' 		=> 'Solid color',
               
            ),
			
			array(
				'id'        => 'tc_preload_bg_color',
				'type'      => 'color',
				'transparent' => false,                  
				'title'     => esc_html__('Preload Background Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the preload background', 'xevent'),
				'required'      => array('preload_bg_select', '=', '0'),
				'default'   => '#1d77ef',
				'output'    => array('background-color' => '#preload'),

				
			),

			array(
			    'id'       => 'tc_preload_bg_gradient_color',
			    'type'     => 'color_gradient',
			    'title'    => esc_html__('Preload Gradient Background Colors', 'xevent'),
			    'subtitle' => esc_html__('Pick the color for the preload background', 'xevent'),
			    'required'      => array('preload_bg_select', '=', '1'),
			    'transparent' => false,
			    'validate' => 'color',
			    'default'  => array(
			        'from' => '#1D77EF',
			        'to'   => '#81F3FD', 
			    ),
			),
			
			array(
                'id'        => 'scroll_to_top',
				'type'      => 'switch',
				'title'     => esc_html__('Scroll to Top Button', 'xevent'),
				'subtitle'  => esc_html__('Toggle whether or not to enable a back to top button on your pages', 'xevent'),
				'default'  => true,
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/scroll_to_top.png>',
					),
            ),

            array(
                'id'        => 'rtl_support',
				'type'      => 'switch',
				'title'     => esc_html__('RTL Support', 'xevent'),
				'subtitle'  => esc_html__('Right to left languages support', 'xevent'),
				'default'  => false,
            ),
						
			array(
				'id'       => 'js_editor',
				'type'     => 'ace_editor',
				'title'    => esc_html__('Custom JS Code', 'xevent'),
				'subtitle' => esc_html__('Paste your JS code here', 'xevent'),
				'mode'     => 'javascript',
				'theme'    => 'chrome',
			),
        )
    ) );

	//COLOR OPTIONS
	Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Colors', 'xevent' ),
        'id'    => 'styling',
        'icon'  => 'dv-davicons-eyewear',
        'fields'     => array(
		
            array(
				'id'        => 'primary_color',
				'type'      => 'color',
				'transparent' => false,                  
				'title'     => esc_html__('Select Primary Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the main color for the theme', 'xevent'),
				'default'   => '#1d77ef',
				'output'    => array(
					'color' => '.schedule-minimal .program a:hover, .schedule-minimal .program a:focus, #schedule-minimal-nav.nav-tabs>li>a, .cd-timeline-content a:hover, .cd-timeline-content a:focus, .schedule-list .program a:hover, .schedule-list .program a:focus, .hprogram h4 a, .hprogram:hover h4 a:hover, .hprogram li a:hover, .speaker-detail .title, .speaker-talks li a:hover, #ss-submit, #review_form .submit, .nav-previous, .nav-next, #ss-submit, #review_form .submit:hover, .nav-previous:hover, .nav-next:hover, .common-button:hover, .common-button-dark:hover, .common-button.gradient-bg:hover, .search-results a, .search-results .entry-meta a, .blog-posts article h1 a:hover, .blog-posts article h2 a:hover, article i, .byline a:hover, .posted-on a:hover, .cat-links a:hover, .tags-links a:hover, .comments-link a:hover, .comment-metadata a:hover, .comment-author a, .comment-author a:hover, .comment-reply-link:hover, #secondary a:hover, #secondary a:focus, .woocommerce ul.cart_list a, .woocommerce ul.product_list_widget a, .woocommerce ul.products li.product .price, .product_list_widget .woocommerce-Price-amount, .woocommerce ul.products li.product .caption h2:hover, .summary .price span.woocommerce-Price-amount, .woocommerce div.product p.price del, .woocommerce div.product span.price del, nav.woocommerce-MyAccount-navigation ul li a:hover, td.order-number a:hover, .product-name a, .product-name a:hover, .cart_totals h2, .woocommerce-error a:hover, .woocommerce-info a:hover, .woocommerce-message a:hover, .site-footer a:hover',
					'background-color' => '.header, .owl-theme .owl-controls .owl-page span, .single-program-details, .single-program-details-alt, #schedule-minimal-nav.nav>li>a:hover, #schedule-minimal-nav.nav>li>a:focus, #schedule-minimal-nav.nav-tabs>li.active>a, #schedule-minimal-nav.nav-tabs>li.active>a:hover, #schedule-minimal-nav.nav-tabs>li.active>a:focus, .cd-timeline-img.cd-program, .hprogram .speaker:before, button.mfp-close, span.featured-speaker, #secondary aside h3:after, input.search-submit, h3.widget-title:after, .tagcloud a:hover, .tagcloud a:focus, #wp-calendar td > a, #wp-calendar td > a:hover, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .woocommerce .widget_price_filter .ui-slider .ui-slider-range, .custom-pagination nav.woocommerce-pagination ul li a:focus, .custom-pagination nav.woocommerce-pagination ul li a:hover, .custom-pagination nav.woocommerce-pagination ul li span.current, .woocommerce span.onsale, .woocommerce div.product .woocommerce-tabs ul.tabs li.active',
					'border-color' => '#schedule-minimal-nav.nav-tabs>li>a, #schedule-minimal-nav.nav-tabs>li.active>a, #schedule-minimal-nav.nav-tabs>li.active>a:hover, #schedule-minimal-nav.nav-tabs>li.active>a:focus, input.search-submit, .tagcloud a:hover, .tagcloud a:focus ',
				)
			),

			array(
				'id'        => 'light_color',
				'type'      => 'color',
				'transparent' => false,                  
				'title'     => esc_html__('Light Color', 'xevent'),
				'subtitle'  => esc_html__('Pick a light color for the theme', 'xevent'),
				'default'   => '#ffffff',
				'output'	=> array(
						'color' => '.top-search input.form-control, .top-search .input-group-addon, .dark .infobox-2 .description h5, .single-program-details, .single-program-details-alt, .woocommerce span.onsale, .woocommerce div.product .woocommerce-tabs ul.tabs li.active, .woocommerce a.added_to_cart, figure.effect-sadie figcaption, figure.effect-sadie:hover h2, .woocommerce ul.products li.product .button, .woocommerce .woocommerce-breadcrumb, .woocommerce .woocommerce-breadcrumb a',
						'background-color' => '.navbar-custom .icon-bar, .hprogram ',
						'border-color' => '', 
					)
			),
			
			array(
				'id'        => 'dark_color',
				'type'      => 'color',
				'transparent' => false,                  
				'title'     => esc_html__('Dark Color', 'xevent'),
				'subtitle'  => esc_html__('Pick a dark color for the theme', 'xevent'),
				'default'   => '#292E35',
				'output'    => array(
					'color' => '.border-light:hover, .border-dark, .search-results a:hover, .comment-reply-link, .product_list_widget .product-title, .woocommerce ul.products li.product h3, h2.product_title, span[itemprop="author"], td.order-number a, .woocommerce-error a, .woocommerce-info a, .woocommerce-message a, .product_list_widget .product-title, .woocommerce ul.products li.product h3, .woocommerce ul.products li.product .woocommerce-loop-product__title, h2.product_title',
					'background-color' => '.owl-theme .owl-nav [class*=owl-], body.search-no-results .navbar-custom, body.search-results .navbar-custom, #ss-submit, .common-button-dark, .border-dark:hover, .comment-reply-link:hover, .woocommerce ul.products li.product .button ',
					'border-color' => '.border-dark, .comment-reply-link',
					)
			),

			array(
			    'id'       => 'tc_gradient_color',
			    'type'     => 'color_gradient',
			    'title'    => esc_html__('Gradient Color', 'xevent'),
			    'subtitle' => esc_html__('Pick the gradient colors for general usage', 'xevent'),
			    'transparent' => false,
			    'validate' => 'color',
			    'default'  => array(
			        'from' => '#1D77EF',
			        'to'   => '#81F3FD', 
			    ),
			),

		
        )
    ) );
		
	//TYPOGRAPHY OPTIONS
	Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Typography', 'xevent' ),
        'id'    => 'tc_typoptions',
        'icon'  => 'dv-davicons-pen',
        'fields'     => array(

			array(
				'id'          => 'typo_body',
				'type'        => 'typography', 
				'title'       => esc_html__('Body Font', 'xevent'),
				'google'      => true, 
				'font-backup' => true,
				'color'		  => true,
				'font-size'  => true,
				'text-align'  => false,
				'font-weight'  => true,
				'font-style'  => true,
				'line-height'  => true,
				'letter-spacing' => true,
				'all_styles'	=> true,
				'output'      => array('body'),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for body', 'xevent'),
				'default'     => array(
					'font-family' => 'Metropolis', 
					'google'      => true,
					'color'		  => '#545454',
					'font-weight' => '400',
				),
			),
			
			array(
				'id'          => 'typo_heading',
				'type'        => 'typography', 
				'title'       => esc_html__('Heading Font Family', 'xevent'),
				'google'      => true, 
				'font-backup' => true,
				'color'		  => false,
				'font-size'  => false,
				'text-align'  => false,
				'font-weight'  => false,
				'font-style'  => false,
				'line-height'  => false,
				'letter-spacing' => false,
				'output'      => array('h1, h2, h3, h4, h5, h6'),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for heading', 'xevent'),
				'default'     => array(
					'font-family' => 'Metropolis', 
					'google'      => true,				
				),
			),

			array(
				'id'          => 'typo_secondary_heading',
				'type'        => 'typography', 
				'title'       => esc_html__('Secondary Heading Font', 'xevent'),
				'google'      => true, 
				'font-backup' => true,
				'color'		  => false,
				'font-size'  => true,
				'text-align'  => false,
				'font-weight'  => true,
				'font-style'  => false,
				'line-height'  => true,
				'letter-spacing' => true,
				'output'      => array('.header .subhead, .subhead, .schedule-min-speaker .company, .con-speaker-list .company'),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for small headers', 'xevent'),
				'default'     => array(
					'font-family' => 'Glacial Indifference', 
					'google'      => true,
					'font-size'	  => '14px',
					'font-weight' => '400',				
				),
				'hint'	=> array(
				'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/secondary_heading.png>',
				),
			),

			array(
				'id'          => 'typo_subheading',
				'type'        => 'typography', 
				'title'       => esc_html__('Lead Class Font', 'xevent'),
				'google'      => true, 
				'font-backup' => true,
				'color'		  => false,
				'font-size'  => true,
				'text-align'  => false,
				'font-weight'  => true,
				'font-style'  => false,
				'line-height'  => true,
				'letter-spacing' => true,
				'output'      => array('.lead, .woocommerce ul.products li.product .price'),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for lead class', 'xevent'),
				'default'     => array(
					'font-family' => 'Glacial Indifference', 
					'google'      => true,
					'font-size'	  => '21px',
				),
				'hint'	=> array(
				'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/lead.png>',
				),
			),
			
			array(
				'id'          => 'typo_button',
				'type'        => 'typography', 
				'title'       => esc_html__('Button Font', 'xevent'),
				'google'      => true, 
				'font-backup' => true,
				'color'		  => false,
				'font-size'  => false,
				'text-align'  => false,
				'font-weight'  => true,
				'font-style'  => true,
				'line-height'  => false,
				'letter-spacing' => false,
				'output'      => array('.button, .contact-form .wpcf7-submit, .wpcf7-submit, .read-more-button, a.button '),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for buttons', 'xevent'),
				'default'     => array(
					'font-family' => 'Metropolis',
					'google'      => true,
				),
			),
			
	
		
        )
    ) );

	//LOGO AND FAVICON SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Logo and Favicon', 'xevent' ),
        'id'    => 'logofavicon',
        'icon'  => 'dv-davicons-vector1',
        'fields'     => array(
		
			
			array(
                'id'        => 'nav_logo_image',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__('Logo', 'xevent'),
				'subtitle'  => esc_html__('Upload a logo for navigation menu', 'xevent'),
				'default'   => array('url' => get_template_directory_uri().'/img/logo.png'),
            ),
			
			array(
                'id'        => 'nav_logo_image_retina',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__('Retina Logo', 'xevent'),
				'subtitle'  => esc_html__('Upload at exactly 2x the size of your standard logo. Supplying this will keep your logo crisp on screens with a higher pixel density', 'xevent'),
				//'default'   => array('url' => get_template_directory_uri().'/img/logo_transparent.png')
            ),

            array(
			    'id'       => 'logo_dimension',
			    'type'     => 'dimensions',
			    'units'    => array('em','px','%'),
			    'title'    => esc_html__('Logo Height', 'xevent'),
			    'subtitle' => esc_html__('Enter a height value for logo', 'xevent'),
			    'width'	   => false,
			    'default'  => array(
			        'height'  => '50',
			        'units' =>'px',
			    ),
			    'output' => array (
			    		'height' => '.navbar-brand img.logo'
			    	)
			),

			array(
			    'id'       => 'logo_dimension_mobile',
			    'type'     => 'dimensions',
			    'units'    => array('em','px','%'),
			    'title'    => esc_html__('Mobile Logo Height', 'xevent'),
			    'subtitle' => esc_html__('Enter a logo height value for mobile devices', 'xevent'),
			    'width'	   => false,
			    'default'  => array(
			        'height'  => '50'
			    ),
			),
			
			array(
                'id'        => 'favicon',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__('Favicon', 'xevent'),
				'subtitle'  => esc_html__('Upload a favicon', 'xevent'),
				'default'   => array('url' => get_template_directory_uri().'/img/favicon.ico'),
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/favicon.png>',
					),
            ),
			
			array(
                'id'        => 'apple_touch_icon',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__('IPhone Retina Icon', 'xevent'),
				'subtitle'  => esc_html__('Upload IPhone retina icon 180x180px', 'xevent'),
				'default'   => array('url' => get_template_directory_uri().'/img/apple-touch-icon.png'),
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/iphone_retina.png>',
					),
            ),
			 
        )
    ) );

	//NAVIGATION SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Navigation', 'xevent' ),
        'id'    => 'navigation',
      //'subsection'       => true,
        'icon'  => 'dv-davicons-align',
        'fields'     => array(

        	array(
				'id'        => 'nav_bg_color_top',
				'type'      => 'color_rgba',
				'transparent' => true,                  
				'title'     => esc_html__('Top Navigation Background Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the top position navigation background', 'xevent'),
				'output'    => array('background-color' => '.default'),
			),
		
			array(
				'id'        => 'nav_bg_color',
				'type'      => 'color_rgba',
				'transparent' => false,                  
				'title'     => esc_html__('Scroll Navigation Background Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the fixed top navigation background', 'xevent'),
				'default'   => array(
			        'color'     => '#292E35',
			        'alpha'     => 1
			    ),
			    'output'    => array('background-color' => '.fixed'),
			),

			array(
				'id'        => 'menu_item_hover',
				'type'      => 'color_rgba',
				'transparent' => true,                  
				'title'     => esc_html__('Menu Item Background Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the menu item background color when hover', 'xevent'),
				'default'   => array(
			        'color'     => '#262626',
			        'alpha'     => 1
			    ),
			    'output'    => array('background-color' => '.nav>li>a:hover, .nav>li>a:focus, li.dropdown:hover .dropdown-toggle, .nav .open>a, .nav .open>a:hover, .nav .open>a:focus'),
			),

			array(
				'id'        => 'dropdown_bg_color',
				'type'      => 'color_rgba',
				'transparent' => false,                  
				'title'     => esc_html__('Dropdown Menu Background Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the navigation dropdown background', 'xevent'),
				'default'   => array(
			        'color'     => '#262626',
			        'alpha'     => 1
			    ),
			    'output'    => array('background-color' => '.dropdown-menu'),
			),

			array(
			    'id'       => 'nav_link_color',
			    'type'     => 'link_color',
			    'visited'  => false,
			    'title'    => esc_html__('Navigation Links Color', 'xevent'),
			    'subtitle' => esc_html__('Pick the colors for navigation links', 'xevent'),
			    'default'  => array(
			        'regular'  => '#ffffff', 
			        'hover'    => '#1d77ef', 
			        'active'   => '#ffffff',  
			    ),
			    'output'    => array('color' => '.navbar-custom .nav>li>a, .dropdown-menu>li>a, .dropdown-menu>li.active>a'),
			),

            array(
				'id'          => 'typo_nav',
				'type'        => 'typography', 
				'title'       => esc_html__('Navigation Font', 'xevent'),
				'ext-font-css' => get_template_directory_uri() . '/css/fonts.css',
				'google'      => true, 
				'font-backup' => false,
				'color'		  => false,
				'font-size'  => true,
				'text-align'  => false,
				'font-weight'  => true,
				'font-style'  => false,
				'font-options'    => 'true',
				'all_styles' => true,
				'text-transform' => true,
				'line-height'  => true,
				'letter-spacing' => true,
				'output'      => array('.navbar-custom, .navbar-nav>li>a'),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for navigation', 'xevent'),
				'default'     => array(
					'font-family' => 'Metropolis', 
					'google'      => true,
					'font-size'	  => '14px',
					'font-weight' => '400',
					'letter-spacing' =>'1px',
					'line-height'  => '28px',
					'text-transform' => 'uppercase',
				),
			),

			array(
				'id'          => 'typo_nav_dropdown',
				'type'        => 'typography', 
				'title'       => esc_html__('Navigation Dropdown Menu Font', 'xevent'),
				'ext-font-css' => get_template_directory_uri() . '/css/fonts.css',
				'google'      => true, 
				'font-backup' => false,
				'color'		  => false,
				'font-size'  => true,
				'text-align'  => false,
				'font-weight'  => true,
				'font-style'  => false,
				'font-options'    => 'true',
				'all_styles' => true,
				'text-transform' => true,
				'line-height'  => true,
				'letter-spacing' => true,
				'output'      => array('.navbar-custom .dropdown-menu, .dropdown-menu>li>a'),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for dropdown menu', 'xevent'),
				'default'     => array(
					'font-family' => 'Metropolis', 
					'google'      => true,
					'font-size'	  => '13px',
					'font-weight' => '400',
					'letter-spacing' =>'1px',
					'line-height'  => '18px',
					'text-transform' => 'uppercase',
				),
			),

            array(
                'id'        => 'nav_fullwidth',
				'type'      => 'switch',
				'title'     => esc_html__('Fullwidth Navigation', 'xevent'),
				'subtitle'  => esc_html__('Enable or disable the fullwidth navigation', 'xevent'),
				'default'  => false,
				'hint'	=> array(
				'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/nav_fullwidth.png>',
				),
            ),

			array(
                'id'        => 'search_bar',
				'type'      => 'switch',
				'title'     => esc_html__('Navigation Search Bar', 'xevent'),
				'subtitle'  => esc_html__('Display search bar on navigation', 'xevent'),
				'default'  => true,
				'hint'	=> array(
				'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/nav_search.png>',
				),
            ),
			
			array(
				'id'        => 'menu_button_color',
				'type'      => 'color',
				'transparent' => false,                  
				'title'     => esc_html__('Menu Button Text Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the menu button', 'xevent'),
				'default'   => '#ffffff',
				'output'	=> array(
					'color' => '.nav li.menu-button a',
					'background-color' => '.nav li.menu-button a:hover'
				),
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/menu_button.png>',
				),
			),

			array(
				'id'        => 'menu_button_bg_color',
				'type'      => 'color',
				'transparent' => false,                  
				'title'     => esc_html__('Menu Button Background Color', 'xevent'),
				'subtitle'  => esc_html__('Pick the color for the menu button background', 'xevent'),
				'default'   => '#1d77ef',
				'output'	=> array(
					'background-color' => '.nav li.menu-button a',
					'color' => '.nav li.menu-button a:hover'
				),
			),
			 
			 
        )
    ) );

	//SPEAKER SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Speakers', 'xevent' ),
        'id'    => 'tc_speakers',
        'icon'  => 'dv-davicons-microphone1',
        'fields'     => array(
		
		
            array(
                'id'        => 'speaker_badge',
				'type'      => 'switch',
				'title'     => esc_html__('Show Badge', 'xevent'),
				'subtitle'  => esc_html__('Show speaker badge if featured', 'xevent'),
				'default'  => true,
				'on'		=> 'Yes',
				'off'		=> 'No',
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/speaker_badge.png>',
					),
            ),
            array(
				'id'            => 'badge_text',
				'type'          => 'text',
				'title'         => esc_html__('Badge text', 'xevent'),
				'default'       => esc_html__('Keynote', 'xevent'),
				'required'      => array('speaker_badge', '=', '1'),
			),
			
        )
    ) );
		
	//SCHEDULE SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Schedule', 'xevent' ),
        'id'    => 'tc_schedules',
        'icon'  => 'dv-davicons-menu',
        'fields'     => array(
		
			array(
                'id'       => 'tc_single_schedule_layout',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Program Layout', 'xevent' ),
                'subtitle' => esc_html__( 'Select a layout for single program page', 'xevent' ),
                // 'desc'     => esc_html__( 'This uses some of the built in images, you can use them for layout options.', 'xevent' ),
                //Must provide key => value(array:title|img) pairs for radio options
                'options'  => array(
                    '1' => array(
                        'alt' => '2 Column',
                        'img' =>  get_template_directory_uri() . '/img/schedule-layout1.png'
                    ),
                    '2' => array(
                        'alt' => '3 Column',
                        'img' =>  get_template_directory_uri() . '/img/schedule-layout2.png'
                    ),
                ),
                'default'  => '1'
            ),

            array(
                'id'        => 'single_sch_thumbnail',
				'type'      => 'switch',
				'title'     => esc_html__('Show Speaker Thumbnail', 'xevent'),
				'subtitle'  => esc_html__('Show speaker thumbnail in single program page', 'xevent'),
				'default'  => true,
				'on'		=> 'Yes',
				'off'		=> 'No',
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/show_speaker_thumb.png>',
					),
               
            ),

            array(
                'id'        => 'show_sch_job',
				'type'      => 'switch',
				'title'     => esc_html__('Show Speaker Job', 'xevent'),
				'subtitle'  => esc_html__('Show speaker job in program page thumbnail', 'xevent'),
				'default'  => false,
				'on'		=> 'Yes',
				'off'		=> 'No',
				'required'      => array('single_sch_thumbnail', '!=', '0'),
            ),

            array(
                'id'        => 'show_sch_company',
				'type'      => 'switch',
				'title'     => esc_html__('Show Speaker Company', 'xevent'),
				'subtitle'  => esc_html__('Show speaker company in program page thumbnail', 'xevent'),
				'default'  => true,
				'on'		=> 'Yes',
				'off'		=> 'No',
				'required'      => array('single_sch_thumbnail', '!=', '0'),
            ),

            array(
                'id'        => 'show_sch_social',
				'type'      => 'switch',
				'title'     => esc_html__('Show Speaker social links', 'xevent'),
				'subtitle'  => esc_html__('Show speaker social links in program page thumbnail', 'xevent'),
				'default'  => true,
				'on'		=> 'Yes',
				'off'		=> 'No',
				'required'      => array('single_sch_thumbnail', '!=', '0'),
            ),	
			
        )
    ) );

	//WORKSHOP SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Workshop', 'xevent' ),
        'id'    => 'tc_workshops',
        'subsection'       => true,
        'icon'  => 'dv-davicons-book2',
        'fields'     => array(

			array(
                'id'        => 'show_wshop_bio',
				'type'      => 'switch',
				'title'     => esc_html__('Show Workshop speaker bio', 'xevent'),
				'default'  => true,
				'on'		=> 'Yes',
				'off'		=> 'No',
				//'required'      => array('single_sch_thumbnail', '!=', '0'),
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/wshop_bio.png>',
					),
            ),	
			
        )
    ) );

	//FOOTER SETTINGS
	Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Footer', 'xevent' ),
        'id'    => 'footer',
        'icon'  => 'dv-davicons-download1',
        'fields'     => array(

        array(
			'id'        => 'footer_bg_color',
			'type'      => 'color',
			'transparent' => false,                  
			'title'     => esc_html__('Footer background color', 'xevent'),
			'subtitle'  => esc_html__('Pick the color for the footer background', 'xevent'),
			'default'   => '#292e35',
			'output'	=> array(
					'background-color' => 'footer#footer'
				),
		),
        array(
			'id'          => 'typo_footer_header',
			'type'        => 'typography', 
			'title'       => esc_html__('Footer widget header', 'xevent'),
			'ext-font-css' => get_template_directory_uri() . '/css/fonts.css',
			'google'      => true, 
			'font-backup' => true,
			'color'		  => true,
			'font-size'  => true,
			'text-align'  => false,
			'font-weight'  => true,
			'font-style'  => false,
			'font-options'    => true,
			'all_styles' => true,
			'text-transform' => false,
			'line-height'  => true,
			'letter-spacing' => true,
			'output'      => array('.site-footer h5'),
			'units'       =>'px',
			'subtitle'    => esc_html__('Choose font for footer widget headers', 'xevent'),
			'default'     => array(
				'font-family' => 'Metropolis', 
				'google'      => true,
				'color'		  => '#cccccc',
				'font-size'	  => '15px',
				'letter-spacing' =>'2px',
			),
		),
		array(
			'id'          => 'typo_footer',
			'type'        => 'typography', 
			'title'       => esc_html__('Footer font', 'xevent'),
			'google'      => true, 
			'font-backup' => true,
			'color'		  => true,
			'font-size'  => true,
			'text-align'  => false,
			'font-weight'  => true,
			'font-style'  => true,
			'line-height'  => true,
			'letter-spacing' => true,
			'all_styles'	=> true,
			'output'      => array('.site-footer, .site-footer a'),
			'units'       =>'px',
			'subtitle'    => esc_html__('Choose font for footer', 'xevent'),
			'default'     => array(
				'font-family' => 'Metropolis', 
				'google'      => true,
				'color'		  => '#bcbcbc',
				'font-weight' => '400',
				'font-size'	  => '13px',
				'line-height' => '18px'
			),
		),
		array(
			'id' => 'copyright_display',
			'type' => 'switch',
			'title' => esc_html__('Copyright', 'xevent'),
			'subtitle' => esc_html__('Display copyright area at the bottom of page', 'xevent'),
			'default' => '1',
			'on' => esc_html__( 'Yes', 'xevent' ),
			'off' => esc_html__( 'No', 'xevent' ), 
			'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/copyright.png>',
				),                        
		),
		array(
			'id'        => 'subfooter_bg',
			'type'      => 'color',
			'transparent' => false,                  
			'title'     => esc_html__('Copyright area background color', 'xevent'),
			'subtitle'  => esc_html__('Pick the bg color for the copyright area', 'xevent'),
			'required'      => array('copyright_display', '!=', '0'),
			'default'   => '#1e2228',
			'output'	=> array(
					'background-color' => '.subfooter'
				),
		),

		array( 
		    'id'       => 'subfooter_border',
		    'type'     => 'border',
		    'title'    => esc_html__('Subfooter Border', 'xevent'),
		    'subtitle' => esc_html__('Optional', 'xevent'),
		    'all'	   => false,
		    'output'   => array('.subfooter'),
		    'required'      => array('copyright_display', '!=', '0'),
		 
		),

		array(
			'id'            => 'copyright_text',
			'type'          => 'text',
			'title'         => esc_html__('Copyright text', 'xevent'),
			'subtitle' => esc_html__('Optional', 'xevent'),
			'default'       => esc_html__('Copyright 2017 Xevent.  All rights reserved', 'xevent'),
			'required'      => array('copyright_display', '!=', '0'),
		),
		array(
			'id'        => 'copyright_text_color',
			'type'      => 'color',
			'transparent' => false,                  
			'title'     => esc_html__('Copyright text color', 'xevent'),
			'subtitle'  => esc_html__('Pick the color for the copyright text', 'xevent'),
			'required'      => array('copyright_display', '!=', '0'),
			'default'   => '#555555',
			'output'	=> array(
					'color' => '.subfooter span'
				),
		),
		array(
		    'id'       => 'copyright_align',
		    'type'     => 'select',
		    'title'    => esc_html__('Copyright text align', 'xevent'), 
		    //'subtitle' => esc_html__('No validation can be done on this field type', 'xevent'),
		    // Must provide key => value pairs for select options,
		    'required'      => array('copyright_display', '!=', '0'),
		    'options'  => array(
		        'text-left' => 'Left',
		        'text-center' => 'Center',
		        'text-right' => 'Right'
		    ),
		    'default'  => 'text-left',
		),
		
	
	    )
    ) );

	//404 SETTINGS
	Redux::setSection( $opt_name, array(
        'title' => esc_html__( '404 Error Page', 'xevent' ),
        'id'    => '404',
        'icon'  => 'dv-davicons-hidden',
        'fields'     => array(
		
		array(
			'id' => 'tc_404_type',
			'type' => 'switch',
			'title' => esc_html__('404', 'xevent'),
			'subtitle' => esc_html__('Show text or image', 'xevent'),
			'default' => '1',
			'on' => esc_html__( 'Text', 'xevent' ),
			'off' => esc_html__( 'Image', 'xevent' ),
			'hint'	=> array(
				'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/404.png>',
				),                      
		),

		array(
	        'id'        => 'tc_404_image',
			'type'      => 'media',
			'url'       => false,
			'title'     => esc_html__('404 Image', 'xevent'),
			'subtitle'  => esc_html__('Upload a 404 image', 'xevent'),
			'required'      => array('tc_404_type', '!=', '1'),
   		), 

		array(
			'id'            => 'tc_404_header',
			'type'          => 'text',
			'title'         => esc_html__('404 Header', 'xevent'),
			'subtitle' => esc_html__('Optional', 'xevent'),
			'default'       => esc_html__('Oops! That page can not be found.', 'xevent'),
		),

		array(
			'id'            => 'tc_404_text',
			'type'          => 'text',
			'title'         => esc_html__('404 Text', 'xevent'),
			'subtitle' => esc_html__('Optional', 'xevent'),
			'default'       => esc_html__('It looks like nothing was found at this location. Maybe go to our home page', 'xevent'),
		),
		                         	           
	    )
    ) );
	
	//BLOG SETTINGS
	Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Blog', 'xevent' ),
        'id'    => 'blog_settings',
        'icon'  => 'dv-davicons-pencil2',
        'fields'     => array(
		                         
		
		array(
				'id'          => 'blog_metas_typo',
				'type'        => 'typography', 
				'title'       => esc_html__('Blog Meta Font', 'xevent'),
				'google'      => true, 
				'font-backup' => true,
				'color'		  => true,
				'font-size'  => true,
				'text-align'  => false,
				'font-weight'  => true,
				'font-style'  => true,
				'letter-spacing' => true,
				'line-height'  => true,
				'output'      => array('.entry-footer, .entry-footer a, .entry-meta, .entry-meta a, .posted-on, .byline, .cat-links, .tags-links'),
				'units'       =>'px',
				'subtitle'    => esc_html__('Choose font for Blog metas', 'xevent'),
				'default'     => array(
					'google'      => true,
				),
				'hint'	=> array(
					'content' => '<img src='. get_template_directory_uri() . '/img/redux_hints/blog_metas.png>',
					),
			),             
		array(
			'id' => 'tc-blog-loop-content-type',
			'type' => 'switch',
			'title' => esc_html__('Blog list loop content', 'xevent'),
			'subtitle' => esc_html__('Show the blog content or the excerpt on loop', 'xevent'),
			'default' => '1',
			'on' => esc_html__( 'The content', 'xevent' ),
			'off' => esc_html__( 'The excerpt', 'xevent' ),                        
		),                    
		array(
			'id'            => 'excerpt-max-char-length',
			'type'          => 'text',
			'title'         => esc_html__('The excerpt max chars length', 'xevent'),
			'default'       => 300,
			'validate'      => 'numeric',
			'required'      => array('tc-blog-loop-content-type', '!=', '1'),
		),
		array(
			'id'            => 'blog-continue-reading',
			'type'          => 'text',
			'title'         => esc_html__('Continue reading', 'xevent'),
			'subtitle'      => esc_html__('Continue reading text', 'xevent'),
			'default'       => esc_html__( 'Read more', 'xevent' ),
			'required'      => array('tc-blog-loop-content-type', '!=', '1'),
		),
		
	
	    )
    ) );
	
	//SOCIAL MEDIA  SETTINGS
	Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Social Accounts', 'xevent' ),
        'id'    => 'tc_social_accounts',
        'icon'  => 'dv-davicons-share1',
        'fields'     => array(
			
			array(
                'id'       => 'facebook',
                'type'     => 'text',
                'title'    => esc_html__( 'Facebook', 'xevent' ),
                'subtitle' => esc_html__( 'Add facebook link', 'xevent' ),
				'placeholder' => esc_html__('http://','xevent'),
				'default' => '#',
               // 'validate'  => 'url',
			 
			   
            ),
            array(
                'id'       => 'twitter',
                'type'     => 'text',
                'title'    => esc_html__( 'Twitter', 'xevent' ),
                'subtitle' => esc_html__( 'Add Twitter link', 'xevent' ),
				'placeholder' => esc_html__('http://','xevent'),
				'default' => '#',
              //  'validate'  => 'url',
            ),
			array(
                'id'       => 'instagram',
                'type'     => 'text',
                'title'    => esc_html__( 'Instagram', 'xevent' ),
                'subtitle' => esc_html__( 'Add Instagram link', 'xevent' ),
				'placeholder' => esc_html__('http://','xevent'),
				'default' => '#',
              //  'validate'  => 'url',
            ),
			array(
                'id'       => 'google-plus',
                'type'     => 'text',
                'title'    => esc_html__( 'Google Plus', 'xevent' ),
                'subtitle' => esc_html__( 'Add Google+ link', 'xevent' ),
				'placeholder' => esc_html__('http://','xevent'),
				'default' => '#',
              //  'validate'  => 'url',
            ),
			array(
                'id'       => 'pinterest',
                'type'     => 'text',
                'title'    => esc_html__( 'LinkedIn', 'xevent' ),
                'subtitle' => esc_html__( 'Add LinkedIn link', 'xevent' ),
				'placeholder' => esc_html__('http://','xevent'),
				'default' => '#',
               // 'validate'  => 'url',
            ),
			array(
                'id'       => 'youtube',
                'type'     => 'text',
                'title'    => esc_html__( 'Youtube', 'xevent' ),
                'subtitle' => esc_html__( 'Add Youtube link', 'xevent' ),
				'placeholder' => esc_html__('http://','xevent'),
				'default' => '#',
               // 'validate'  => 'url',
            ),
			array(
                'id'       => 'vimeo',
                'type'     => 'text',
                'title'    => esc_html__( 'Vimeo', 'xevent' ),
                'subtitle' => esc_html__( 'Add Vimeo link', 'xevent' ),
				'placeholder' => esc_html__('http://','xevent'),
				'default' => '#',
              //  'validate'  => 'url',
			  
            ),
				
        )
    ) );
		
	//GOOGLE MAP SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Map', 'xevent' ),
        'id'    => 'map',
        'icon'  => 'dv-davicons-pin1',
        'fields'     => array(
			 
			 array(
                'id'       => 'map-latitude',
                'type'     => 'text',
                'title'    => esc_html__( 'Map Latitude', 'xevent' ),
                'desc'     => esc_html__( 'Find your coordinates at http://mapcoordinates.net/en', 'xevent' ),
                'default'  => '40.801485408197856',
            ),
			
			array(
                'id'       => 'map-longtitude',
                'type'     => 'text',
                'title'    => esc_html__( 'Map Longtitude', 'xevent' ),
                'desc'     => esc_html__( 'Find your coordinates at mapcoordinates.net/en', 'xevent' ),
                'default'  => '-73.96745953467104',
            ),
			
			 array(
				'id'        => 'map_zoom',
				'type'     => 'spinner', 
				'title'    => esc_html__('Zoom Level', 'xevent'),
				'subtitle' => esc_html__('Map zoom level','xevent'),
				'desc'     => esc_html__('Min:0, max: 40', 'xevent'),
				'default'  => '14',
				'min'      => '0',
				'step'     => '1',
				'max'      => '40',
			 ),
		
			 array(
                'id'       => 'scrollwheel',
				'type'     => 'radio',
				'title'    => esc_html__('Scroll-whell', 'xevent'), 
				//Must provide key => value pairs for radio options
				'options'  => array(
					'true' => 'On', 
					'false' => 'Off', 
				),
				'default' => 'false'
            ),
		
            array(
                'id'       => 'map_style',
                'type'     => 'textarea',
                'title'    => esc_html__( 'Map Style', 'xevent' ),
                'subtitle' => esc_html__( 'Please visit snazzymaps.com for more styles', 'xevent' ),
				'default' => '[{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]',
            ),
			
			array(
				'id'       => 'map_type',
				'type'     => 'select',
				'title'    => esc_html__('Select Map Type', 'xevent'), 
				'options'  => array(
					'ROADMAP' => 'Roadmap',
					'HYBRID' => 'Hybrid',
					'SATELLITE' => 'Satellite',
					'TERRAIN' => 'Terrain'
				),
				'default'  => 'ROADMAP',
			),

			array(
                'id'       => 'map-api',
                'type'     => 'text',
                'title'    => esc_html__( 'Map API', 'xevent' ),
                'desc'     => esc_html__( 'Get an API Key from Google  https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key', 'xevent' ),
                'default'  => '',
            ),
			
			 array(
                'id'        => 'marker_image',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__('Marker Image', 'xevent'),
				'subtitle'  => esc_html__('Upload a marker image', 'xevent'),               
            ),
			
			
        )
    ) );

    //GENERAL SETTINGS
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Custom CSS', 'xevent' ),
        'id'    => 'custom-css',
        //'desc'  => esc_html__( 'Basic fields as subsections.', 'xevent' ),
        'icon'  => 'dv-davicons-code',
        'fields'     => array(	
			array(
				'id'       => 'css_editor',
				'type'     => 'ace_editor',
				'title'    => esc_html__('CSS Code', 'xevent'),
				'subtitle' => esc_html__('Enter your CSS code in the field below. Do not include any tags or HTML in the field. Custom CSS entered here will override the theme CSS. In some cases, the !important tag may be needed.', 'xevent'),
				'mode'     => 'css',
				'theme'    => 'monokai',
				'options'  => array(
						'minLines'	=>	40,
						'maxLines'	=>	500,
					)
			),
			
        )
    ) );
	
	//DEMO IMPORT
	Redux::setSection( $opt_name, array(
        'id' => 'wbc_importer_section',
        'title'  => esc_html__( 'Demo Content', 'xevent' ),
        'icon'   => 'dv-davicons-browser',
        'fields' => array(
	                    array(
	                        'id'   => 'wbc_demo_importer',
	                        'type' => 'wbc_importer'
	                        )
	                )
    ) );


 


    /*
     * <--- END SECTIONS
     */
