<?php

/**
 * Welcome Page View
 *
 * @since 1.0.0
 * @package WPW
 */

if ( ! defined( 'WPINC' ) ) {

    die;

}

$support_url = 'http://themecube.ticksy.com';
$documentation = 'http://wpthemecube.com/xevent/documentation';
$video_tutorial = 'http://www.youtube.com/playlist?list=PLeYllkDJIZpH7ZcliFft150aZfhYHbQZi';

?>

<div class="wrap about-wrap">

    <h1><?php esc_attr_e( 'Welcome to XEvent!', 'xevent' ); ?></h1>

    <div class="about-text">
        <?php printf( esc_attr_e( 'Thank you for choosing XEvent! Get ready to build your event website. You will find some helpful information links below. We hope you enjoy it!', 'xevent' ) ); ?>
    </div>

    <div class="themecube-badge">
        <img class="img" src="<?php echo get_template_directory_uri(). '/inc/welcome/img/logo.png'; ?>">
    </div>

    <div class="img-col one-col">
        <img src="<?php echo get_template_directory_uri(). '/inc/welcome/img/welcome-banner.png'; ?>">
    </div>


    <div class="feature-section themecube-section three-col">

        <div class="col">
            <i class="dv-davicons-help admin-icon"></i>
            <h3 class="adminw"><?php esc_attr_e( 'Submit a ticket', 'xevent' ); ?></h3>
            <p><?php esc_attr_e( 'If you can\'t find a solution to your problem in the help file, you can submit a ticket. We\'ll reply you within 24 hours after your submission (working days only). ', 'xevent' ); ?></p>
            <a href="<?php echo esc_html($support_url)?>" class="button button-large button-primary" target="_blank"><?php esc_html_e( 'Submit a ticket', 'xevent' ); ?></a>
        </div>

        <div class="col">
            <i class="dv-davicons-book2 admin-icon"></i>
            <h3 class="adminw"><?php esc_attr_e( 'Online documentation', 'xevent' ); ?></h3>
            <p><?php esc_attr_e( 'All the information you need for step-by-step installation is here.', 'xevent' ); ?></p>
            <a href="<?php echo esc_html($documentation)?>" class="button button-large button-primary" target="_blank"><?php esc_html_e( 'Read documentation', 'xevent' ); ?></a>
        </div>

        <div class="col">
            <i class="dv-davicons-play1 admin-icon"></i>
            <h3 class="adminw"><?php esc_attr_e( 'Video tutorials', 'xevent' ); ?></h3>
            <p><?php esc_attr_e( 'These walkthroughs are perfect for visual learners who would rather watch a video than read a manual.', 'xevent' ); ?></p>
            <a href="<?php echo esc_html($video_tutorial)?>" class="button button-large button-primary" target="_blank"><?php esc_html_e( 'Watch videos', 'xevent' ); ?></a>
        </div>
        
    </div>


</div>
