<?php
/**
 * Template part for displaying page content in page fullwidth
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Escape
 */

 $xevent_var = get_option('xevent_var');

 // Connect speakers with Program
 $connected = new WP_Query( array(
  'connected_type' => 'speaker_wshop',
  'connected_items' => get_queried_object(),
  'nopaging' => true,
) );
  
 $image = wp_get_attachment_url( get_post_meta( get_the_ID(), 'tc_header_bg_id', 1 ), 'full' );
 $overlay_bg = get_post_meta( get_the_ID(), 'tc_overlay_bg', true );
 $subhead = get_post_meta( get_the_ID(), 'tc_subhead', true );
 $title_color = get_post_meta( get_the_ID(), 'tc_title_color', true );
 $align = get_post_meta ( get_the_ID(), 'tc_header_align', true );
 $dotted_bg = get_post_meta ( get_the_ID(), 'tc_dotted_bg', true );
 $bg_effect = get_post_meta( get_the_ID(), 'tc_bg_effect', true );
 $color1 = get_post_meta( get_the_ID(), 'tc_color1', true );
 $color2 = get_post_meta ( get_the_ID (), 'tc_color2', true );
 $degree = get_post_meta ( get_the_ID (), 'tc_degree', true );
 $opacity = get_post_meta ( get_the_ID (), 'tc_opacity', true );
 $blended_bg = get_post_meta ( get_the_ID (), 'tc_blended_bg', true );

 $wshop_date = get_post_meta ( get_the_ID (), 'tc_wshop_date', true );
 $wshop_time = get_post_meta ( get_the_ID (), 'tc_wshop_time', true );
 $wshop_duration = get_post_meta ( get_the_ID (), 'tc_wshop_duration', true );
 $wshop_location = get_post_meta ( get_the_ID (), 'tc_wshop_location', true );
 $wshop_level = get_post_meta ( get_the_ID (), 'tc_wshop_level', true );
 $prerequisites = get_post_meta ( get_the_ID (), 'tc_prerequisites', true );

 $html ='';

 $overlay_color ='';
 if($overlay_bg){$overlay_color = 'style=background-color:'.$overlay_bg.'';}

 $title_style = '';
 if($title_color){$title_style = 'style=color:'.$title_color.'';}

 $dotted = '';
 if($dotted_bg) {$dotted = 'dotted_bg';}

 $bg_image ='';
 if($image){$bg_image ='background-image:url('.$image.');';}

 $gradient_options ='';
 if(($bg_effect) == 'rainbow') {
  $gradient_options = 'data-type=linear data-degrees='.$degree.' data-color='.$color1.'-'.$color2.' data-opacity='.$opacity.'';}

 $blendcss = '';
 if(($bg_effect) == 'blended'){$blendcss = 'background-color:'.$blended_bg.';';}


?>

<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	


    <div id="header-<?php the_ID(); ?>" class="<?php echo esc_html($bg_effect); ?> header" <?php echo esc_html($gradient_options); ?> style="<?php echo esc_html($bg_image); ?> <?php echo esc_html($blendcss); ?>" >
      <div class="inner <?php echo esc_html($dotted); ?>" <?php echo esc_html($overlay_color); ?>>

        <div class="container">
          <div class="row">
            
            <div class="col-lg-12 <?php echo esc_html($align) ?>">
                <?php the_title( '<h2 '.$title_style.' class="program-title">', '</h2>' ); ?>

                <?php if ( $connected->have_posts() ) : ?>
                    <ul class="con-speaker-list uppercase list-inline">
                    <?php while ( $connected->have_posts() ) : $connected->the_post(); ?>
                        <li class="subhead"><a <?php echo esc_html($title_style) ?> class="html-popup" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
                    <?php endwhile; ?>
                    </ul>
                <?php wp_reset_postdata(); endif; ?>
            </div>

          </div>
        </div>
      </div>
    </div>

   

    <section class="single-program">
      <div class="container">
          <div class="row">

              <div class="col-lg-3 col-md-3 col-sm-4">
                <div class="single-program-details-alt">
                  <div class="container">
                    <div class="row">

                        <?php if($wshop_date) : ?>
                            <div class="detail-alt">
                              <i class="pe-va pe-2x pe-7s-date"></i>
                              <p><?php echo esc_html($wshop_date) ?></p>
                            </div>
                        <?php endif; ?>

                        <?php if($wshop_time) : ?>
                            <div class="detail-alt">
                              <i class="pe-va pe-2x pe-7s-clock"></i>
                              <p class=""><?php echo esc_html($wshop_time) ?></p>
                            </div>
                        <?php endif; ?>
                        
                        <?php if($wshop_location) : ?>
                            <div class="detail-alt">
                              <i class="pe-va pe-2x pe-7s-map-marker"></i>
                              <p class=""><?php echo esc_html($wshop_location) ?></p>
                            </div>
                        <?php endif; ?>
                       
                    </div>
                  </div>
                </div> 

                <!-- Prereq -->
                <?php if($prerequisites) : ?>
                  <div class="prereq">
                    <h3><?php echo esc_html('Prerequisites','xevent'); ?></h3>
                    <p><?php echo esc_html($prerequisites) ?></p>
                  </div>
                <?php endif; ?>

              </div>
              
              <?php if (true == $xevent_var['single_sch_thumbnail']): ?>
                <div class="entry-content col-lg-6 col-md-6 col-sm-8">
              <?php endif; ?>

              <?php if (false == $xevent_var['single_sch_thumbnail']): ?>
                <div class="entry-content col-lg-9 col-md-9 col-sm-8">
              <?php endif; ?> 

                <?php the_content(); ?>
              </div>
              
              <?php if (true == $xevent_var['single_sch_thumbnail']): ?>
                <div class="col-lg-3 col-md-3 col-sm-12">

                  <?php if ( $connected->have_posts() ) : ?>
                        <ul class="con-speaker-list">
                        <?php while ( $connected->have_posts() ) : $connected->the_post(); ?>
                          
                          <?php
                            $speaker_job = get_post_meta($post->ID, "tc_speaker_job", true);
                            $speaker_company = get_post_meta($post->ID, "tc_speaker_company", true); 
                            $speaker_facebook_address = get_post_meta($post->ID, "tc_speaker_fb_address", true);
                            $speaker_tw = get_post_meta($post->ID, "tc_speaker_tw_address", true);
                            $speaker_googleplus_address = get_post_meta($post->ID, "tc_speaker_gplus_address", true);
                            $speaker_linkedin_address = get_post_meta($post->ID, "tc_speaker_linkedin_address", true);
                            $speaker_instagram_address = get_post_meta($post->ID, "tc_speaker_instagram_address", true);
                          ?>
                            
                            <li>
                              <a <?php echo esc_html($title_style) ?> class="html-popup" href="<?php the_permalink(); ?>">
                                <?php echo  get_the_post_thumbnail( $post->ID, 'xevent-speaker-thumb-circle', array('class' => 'img-responsive img-circle' ) ); ?>
                              </a>
                              <h5 class="uppercase"><?php the_title(); ?></h5>

                              <?php if (true == $xevent_var['show_sch_job']): ?>
                                <p class="company"><?php echo esc_html($speaker_job); ?></p>
                              <?php endif; ?>

                              <?php if (true == $xevent_var['show_sch_company']): ?>
                                <p class="company"><?php echo esc_html($speaker_company); ?></p>
                              <?php endif; ?>
                              
                              <?php if (true == $xevent_var['show_sch_social']): ?>
                                <ul class="social-schedule social-icons icon-circle list-unstyled list-inline">
                                    <?php if ( $speaker_facebook_address ) : ?>
                                         <li>
                                            <a href="<?php echo esc_url($speaker_facebook_address) ?>" target="_blank">
                                              <i class="fa fa-facebook"></i>
                                            </a>
                                          </li>
                                      <?php endif; ?>
                                      
                                      <?php if ( $speaker_tw ) : ?>
                                         <li>
                                          <a href="<?php echo esc_url($speaker_tw) ?>" target="_blank">
                                            <i class="fa fa-twitter"></i>
                                          </a>
                                        </li>
                                      <?php endif; ?>
                                      
                                      <?php if ( $speaker_googleplus_address ) : ?>
                                         <li>
                                          <a href="<?php echo esc_url($speaker_googleplus_address) ?>" target="_blank">
                                            <i class="fa fa-google-plus"></i>
                                          </a>
                                        </li>
                                      <?php endif; ?>
                                      
                                      <?php if ( $speaker_linkedin_address ) : ?>
                                         <li>
                                          <a href="<?php echo esc_url($speaker_linkedin_address) ?>" target="_blank">
                                            <i class="fa fa-linkedin"></i>
                                          </a>
                                        </li>
                                      <?php endif; ?>
                                      
                                      <?php if ( $speaker_instagram_address ) : ?>
                                         <li>
                                          <a href="<?php echo esc_url($speaker_instagram_address) ?>" target="_blank">
                                            <i class="fa fa-instagram"></i>
                                          </a>
                                        </li>
                                      <?php endif; ?>
                                      
                                </ul>
                              <?php endif; ?>
                              
                              <?php if (true == $xevent_var['show_wshop_bio']): ?>
                                <div class="bio">
                                  <h5><?php echo esc_html('BIO','xevent'); ?></h5>
                                  <p><?php the_excerpt(); ?></p>
                                </div>
                              <?php endif; ?>

                            </li>
                        <?php endwhile; ?>
                        </ul>
                  <?php wp_reset_postdata(); endif; ?>
                  
                </div> 
              <?php endif; ?>

          </div>
      </div>	
    </section>   
    
    
    

    
 
     
</div><!-- #post -->
